package com.sv.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Entity - 用户账单（余额，微信，会员卡）记录
 *
 * @author yechanglin
 * @since 2018-08-08
 */
public class MemberMoneyLog implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     *昵称
     */
    private String nickname;

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    /**
     * 类型
     */
    private Integer type;

    /**
     * 金额
     */
    private BigDecimal money;

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 会员卡类型
     */
    private String cardType;
    /**
     * 场馆ID
     */
    private Integer venueId;
    /**
     * 场馆类型
     */
    private Integer venueType;
    /**
     * 课程ID
     */
    private Integer lessonId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置类型
     *
     * @param type 类型
     */
    public void setType(Integer type){
        this.type = type;
    }

    /**
     * 获取类型
     *
     * @return 类型
     */
    public Integer getType(){
        return type;
    }


    /**
     * 设置金额
     *
     * @param money 金额
     */
    public void setMoney(BigDecimal money){
        this.money = money;
    }

    /**
     * 获取金额
     *
     * @return 金额
     */
    public BigDecimal getMoney(){
        return money;
    }


    /**
     * 设置用户ID
     *
     * @param memberId 用户ID
     */
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getMemberId(){
        return memberId;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public Integer getVenueId() {
        return venueId;
    }

    public void setVenueId(Integer venueId) {
        this.venueId = venueId;
    }

    public Integer getVenueType() {
        return venueType;
    }

    public void setVenueType(Integer venueType) {
        this.venueType = venueType;
    }

    public Integer getLessonId() {
        return lessonId;
    }

    public void setLessonId(Integer lessonId) {
        this.lessonId = lessonId;
    }
}